Package com.google.javascript.jscomp

# Interface Region

All Known Implementing Classes:
  `SimpleRegion`

public interface Region
Source code region.

## Method Summary

Modifier and Type
Method
Description
`int`
`getBeginningLineNumber()`
Get the beginning line number.
`int`
`getEndingLineNumber()`
Get the ending line number.
`String`
`getSourceExcerpt()`
Get the source region.

## Method Details

### getSourceExcerpt

String getSourceExcerpt()
Get the source region.

### getBeginningLineNumber

int getBeginningLineNumber()
Get the beginning line number.

### getEndingLineNumber

int getEndingLineNumber()
Get the ending line number.